Wind River Support Network

HomeDefectsLIN5-20701
Fixed

LIN5-20701 : Security Advisory - gdk-pixbuf - CVE-2015-4491

Created: Aug 16, 2015    Updated: Dec 19, 2017
Resolved Date: Aug 18, 2015
Found In Version: 5.0.1.29
Fix Version: 5.0.1.30
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

Integer overflow in the make_filter_table function in pixops/pixops.c in gdk-pixbuf before 2.31.5, as used in Mozilla Firefox before 40.0 and Firefox ESR 38.x before 38.2 on Linux, Google Chrome on Linux, and other products, allows remote attackers to execute arbitrary code or cause a denial of service (heap-based buffer overflow and application crash) via crafted bitmap dimensions that are mishandled during scaling.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-4491

Other Downloads


Live chat
Online